package com.crm.ucard.dao.mapper;

import com.crm.rely.backend.core.dto.ucard.CardRechargeOrderDto;
import com.crm.rely.backend.core.dto.ucard.CardRechargeOrderSumDto;
import com.crm.rely.backend.core.entity.ucard.CardRechargePageEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CardRechargeOrderMapper {

    Integer countList(CardRechargePageEntity entity);

    List<CardRechargeOrderDto> pageList(CardRechargePageEntity entity);

    CardRechargeOrderSumDto rechargeOrderSum(CardRechargePageEntity entity);
}
